Bug 678237 - Not using cherokee user and group as it should
Summary: Not using cherokee user and group as it should
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cherokee   
(Show other bugs)
Version: 14
Hardware: Unspecified
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Pavel Lisý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-17 09:20 UTC by Renich Bon Ciric
Modified: 2011-10-01 01:32 UTC (History)
1 user (show)

Fixed In Version: cherokee-1.2.99-2.el4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-02 01:48:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Renich Bon Ciric 2011-02-17 09:20:56 UTC
Description of problem:
Cherokee uses root as it's user and has all kinds of crazy permissions because of this.

Version-Release number of selected component (if applicable):
1.0.4-1

How reproducible:
install cherokee and check the logs permissions

Steps to Reproduce:
1. su -c 'yum install cherokee'
2. su -c 'service cherokee start'
3. su -c 'll /var/log/cherokee'

  
Actual results:
Cherokee runs as root

Expected results:
Cherokee should run as cherokee

Additional info:
Just add:

# /etc/cherokee/cherokee.conf
server!group = cherokee
server!user = cherokee

You might have to create the log directories for yourself first?

Comment 1 Fedora Update System 2011-02-23 06:48:17 UTC
cherokee-1.0.20-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/cherokee-1.0.20-3.fc15

Comment 2 Fedora Update System 2011-02-23 06:49:12 UTC
cherokee-1.0.20-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/cherokee-1.0.20-3.fc14

Comment 3 Fedora Update System 2011-02-23 06:50:16 UTC
cherokee-1.0.20-3.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/cherokee-1.0.20-3.el4

Comment 4 Fedora Update System 2011-02-23 07:01:22 UTC
cherokee-1.0.20-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cherokee-1.0.20-3.el5

Comment 5 Fedora Update System 2011-02-23 07:04:47 UTC
cherokee-1.0.20-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cherokee-1.0.20-3.el6

Comment 6 Fedora Update System 2011-02-23 20:29:16 UTC
cherokee-1.0.20-3.fc15 has been pushed to the Fedora 15 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cherokee'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/cherokee-1.0.20-3.fc15

Comment 7 Fedora Update System 2011-02-25 15:30:50 UTC
cherokee-1.2.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/cherokee-1.2.1-1.fc15

Comment 8 Fedora Update System 2011-02-25 15:31:53 UTC
cherokee-1.2.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/cherokee-1.2.1-1.fc14

Comment 9 Fedora Update System 2011-02-25 15:33:55 UTC
cherokee-1.2.1-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/cherokee-1.2.1-1.el6

Comment 10 Fedora Update System 2011-02-25 15:34:55 UTC
cherokee-1.2.1-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cherokee-1.2.1-1.el5

Comment 11 Fedora Update System 2011-02-25 15:35:47 UTC
cherokee-1.2.1-1.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/cherokee-1.2.1-1.el4

Comment 12 Fedora Update System 2011-03-02 01:48:08 UTC
cherokee-1.2.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-03-03 02:57:52 UTC
cherokee-1.2.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2011-03-14 17:25:43 UTC
cherokee-1.2.1-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2011-03-14 17:26:59 UTC
cherokee-1.2.1-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2011-03-14 17:27:56 UTC
cherokee-1.2.1-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2011-09-13 10:16:45 UTC
cherokee-1.2.99-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/cherokee-1.2.99-1.el5

Comment 18 Fedora Update System 2011-09-14 10:10:37 UTC
cherokee-1.2.99-2.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/cherokee-1.2.99-2.el4

Comment 19 Fedora Update System 2011-09-29 03:24:53 UTC
cherokee-1.2.99-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2011-10-01 01:31:38 UTC
cherokee-1.2.99-2.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.